﻿Imports System.Web.Security
Imports System.Data.SqlClient
Imports System.Web
Imports System.Data
Imports GrapeCity.ActiveAnalysis.Schema
Imports GrapeCity.ActiveAnalysis.DataSources
Imports GrapeCity.ActiveAnalysis.Web

Public Class _Default
    Inherits System.Web.UI.Page

    'Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load

    '    'Create a local cube object.
    '    Dim myLC As New GrapeCity.ActiveAnalysis.DataSources.LocalCubeDataSource
    '    'Load the saved file into the cube object.
    '    myLC.LocalCubeFile = ("c:\inetpub\wwwroot\webapplication1\analysis.ddacube")
    '    'Connect the cube to the underlying data provider.
    '    myLC.Connect()
    '    'Set the local cube as the pivot view data source.
    '    Me.PivotView1.DataSource = myLC

    '    myLC = Nothing
    'End Sub
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        'Dim rds As New RdDataSource()

        'rds.ConnectionString = "server=irmis-db;database=iRMISDevelopment;Application Name=iRMISPortal;Integrated Security=SSPI;Persist Security Info=False;Network Library=dbmssocn;"
        'rds.ConnectionType = ConnectionType.Sql
        'rds.QueryString = GetQuery()
        'rds.CustomSchema = GenerateRelationalSchema(rds.QueryString)
        'rds.Connect()

        'Me.PivotView1.DataSource = rds

        'Create a local cube object.
        Dim myLC As New GrapeCity.ActiveAnalysis.DataSources.LocalCubeDataSource
        'Load the saved file into the cube object.
        myLC.LocalCubeFile = ("c:\inetpub\wwwroot\irmisportal\analysis\analysis.ddacube")
        'Connect the cube to the underlying data provider.
        myLC.Connect()
        'Set the local cube as the pivot view data source.
        Me.PivotView1.DataSource = myLC

        myLC = Nothing

    End Sub
    Private Function GenerateRelationalSchema(ByVal queryString As String) As SchemaDefinition
        Dim objCN As New SqlConnection
        Dim objSCH As SchemaDefinition
        Dim builder As SchemaBuilder

        objCN.ConnectionString = "server=irmis-db;database=iRMISDevelopment;Application Name=iRMISPortal;Integrated Security=SSPI;Persist Security Info=False;Network Library=dbmssocn;"
        objCN.Open()
        builder = SchemaBuilder.AutoGenerate("AutoGeneratedSchema", objCN, queryString)

        'set formatting on amount
        Dim Amount As MeasureBuilder
        Dim measureDimension As MeasuresDimBuilder = DirectCast(builder.Dimensions("Measures"), MeasuresDimBuilder)

        Amount = measureDimension.Fields("Amount")
        Amount.SetDefaultFormat("#,##0")

        objSCH = builder.BuildSchema()

        GenerateRelationalSchema = objSCH

        Amount = Nothing
        measureDimension = Nothing
        objSCH = Nothing
        builder = Nothing
        objCN = Nothing

    End Function
    Private Function GetQuery() As String
        Dim objCN As New SqlConnection()
        Dim objCMD As New SqlClient.SqlCommand
        Dim objPRM As New SqlClient.SqlParameter

        objCN.ConnectionString = "server=irmis-db;database=iRMISDevelopment;Application Name=iRMISPortal;Integrated Security=SSPI;Persist Security Info=False;Network Library=dbmssocn;"
        objCN.Open()
        objCMD.CommandType = CommandType.StoredProcedure
        objCMD.Connection = objCN
        objCMD.CommandText = "spPivotResources"
        'sppivotauditresources

        objPRM.ParameterName = "PrintQuery"
        objPRM.DbType = DbType.Int16
        objPRM.Direction = ParameterDirection.Input
        objPRM.Value = "1"

        objCMD.Parameters.Add(objPRM)

        objPRM = Nothing

        GetQuery = objCMD.ExecuteScalar

        objCMD.Connection.Close()
        objCMD = Nothing
        objCN = Nothing
    End Function


End Class